Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.12.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 22094
Description

I'm finding that QGis Server does not seem to respect the new axis ordering for WMS 1.3.

| have tried the following steps:-
1, Create a project file and load into QGis Server
2, View resulting WMS service in a new QGis Project as WGS84 (epsg:4326)

If | view the service as WMS 1.3, then | get reversed lat/long.

If | select the ignore axis orientation option then | get a correct map

If 1 ask for WMS 1.1 then | get a correct map

If | set the client to ask for the map using a coordinate system which doesn't have inverted axes (eg Pseudo Mercator: 3857), then | get a
correct map.

If I view an external WMS service as WGS84 using QGis the | get a correct map, implying the error is in the server.

This seems related to bug #9345 which is marked as resolved, but I'm not sure whether this applies to the client only.

Unfortunately the client I'm using does not allow the WMS version it requests to be set so | can't request WMS 1.1 as a fallback. It also
doesn't have an axis inversion option.

History

#1 - 2016-09-02 04:13 AM - Tudor Barascu

Hi,

QGIS Server outputs only WMS 1.3.0.

If you could add a qgs project with some test data then someone could take a look if there's actually a problem.

#2 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-05-07 06:35 AM - Tudor Barascu

| don't know about this issue, I'm working with reverse axis projections and | have no problems on the Desktop and Server side. In the absence of test
data/WMS service + lack of feedback from author, | think we should close it.
#4 - 2017-05-08 10:58 AM - Giovanni Manghi
- Description updated
- Status changed from Open to Feedback

#5 - 2017-05-26 05:17 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback.
